require 'config'
require 'stream'
module AktivlearnStream
	
		def self.read_config config
			@config = config
			AktivlearnStream::Config.validate_config(@config)
			set_connection
		end


		def self.set_connection
			@config ||= {}
			begin
				@firehose = Aws::Firehose::Client.new(
				access_key_id: @config["service_key"],
				secret_access_key: @config["service_secret"],
				region: @config["region"]
				)
			rescue Exception => e
				return "Could not establish a connection. Check the config. Error message === #{e.message}"
			end
		end

	def self.send(raw_data)
		AktivlearnStream::Stream.send_raw_data(@config,@firehose,raw_data)
	end

end